PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Fields
cy_stc_crypto_edw_dp_type Struct Reference

## Description

Structure defines a Edwards GF(p) curve.

## Data Fields
cy_en_crypto_ecc_curve_id_t | id
| The curve ID.
uint32_t | size
| The size of the curve in bits.
uint32_t | barret_osize
| The size of the barret_order coefs in bits.
uint32_t | barret_psize
| The size of the barret_prime coefs in bits.
const char_t * | name
| name of curve
cy_en_crypto_ecc_red_mul_algs_t | algo
| ECC calculation default algorithm.
const uint8_t * | prime
| The prime that defines the field the curve is in (encoded in hex)
const uint8_t * | barrett_p
| Barrett coefficient for reduction modulo ECC prime (hex)
const uint8_t * | order
| The order of the curve (hex)
const uint8_t * | barrett_o
| Barrett coefficient for reduction modulo ECC order (hex)
const uint8_t * | d
| D (hex)
const uint8_t * | a
| A (hex)
const uint8_t * | Gx
| The x co-ordinate of the base point on the curve (hex)
const uint8_t * | Gy
| The y co-ordinate of the base point on the curve (hex)

## Field Documentation

## ◆ id

cy_en_crypto_ecc_curve_id_t cy_stc_crypto_edw_dp_type::id

The curve ID.

## ◆ size

uint32_t cy_stc_crypto_edw_dp_type::size

The size of the curve in bits.

## ◆ barret_osize

uint32_t cy_stc_crypto_edw_dp_type::barret_osize

The size of the barret_order coefs in bits.

## ◆ barret_psize

uint32_t cy_stc_crypto_edw_dp_type::barret_psize

The size of the barret_prime coefs in bits.

## ◆ name

const char_t* cy_stc_crypto_edw_dp_type::name

name of curve

## ◆ algo

cy_en_crypto_ecc_red_mul_algs_t cy_stc_crypto_edw_dp_type::algo

ECC calculation default algorithm.

## ◆ prime

const uint8_t* cy_stc_crypto_edw_dp_type::prime

The prime that defines the field the curve is in (encoded in hex)

## ◆ barrett_p

const uint8_t* cy_stc_crypto_edw_dp_type::barrett_p

Barrett coefficient for reduction modulo ECC prime (hex)

## ◆ order

const uint8_t* cy_stc_crypto_edw_dp_type::order

The order of the curve (hex)

## ◆ barrett_o

const uint8_t* cy_stc_crypto_edw_dp_type::barrett_o

Barrett coefficient for reduction modulo ECC order (hex)

## ◆ d

const uint8_t* cy_stc_crypto_edw_dp_type::d

D (hex)

## ◆ a

const uint8_t* cy_stc_crypto_edw_dp_type::a

A (hex)

## ◆ Gx

const uint8_t* cy_stc_crypto_edw_dp_type::Gx

The x co-ordinate of the base point on the curve (hex)

## ◆ Gy

const uint8_t* cy_stc_crypto_edw_dp_type::Gy

The y co-ordinate of the base point on the curve (hex)